package com.lantone.qc.trans.beilun.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 疑难、危重病例讨论记录html解析
 * @author: HUJING
 * @time: 2020/9/14 15:41
 */
public class BeiLunDifficultCaseDiscussHtmlAnalysis implements BeiLunHtmlAnalysis {

    @Override
    public Map<String, String> analysis(String... args) {
        List<String> titles = Lists.newArrayList("姓名", "性别", "出生日期", "科别", "病区", "床号",
                "住院号", "年龄", "床号", "住院号", "住址（单位）", "讨论日期", "讨论地点", "主持人", "参加人员", "具体讨论意见",
                "主持人小结意见", "主持人签名", "记录医生签名");
        String html = args[0];
        String recTitle = args[1];
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        String htmlContent = CommonAnalysisUtil.html2String(html);
        if (StringUtil.isNotBlank(htmlContent)) {
            htmlContent = htmlContent.replaceAll("[   ]", " ");
            CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
        }
        CommonAnalysisUtil.extractDateByTitle(structureMap, "告知时间");
        structureMap.put("rec_title=", "141");
        return structureMap;
    }

}